=== debian/changelog ===
sdcc (3.3.0+dfsg-1ubuntu1) trusty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Remove build-indep from build target. Add it as a requisite of the
      install-indep target.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Mon, 30 Dec 2013 16:26:17 +0530

sdcc (3.3.0+dfsg-1) unstable; urgency=low

  * New upstream release (Closes: #422599, #671631, #724192)
  * Remove patch 02_fix_spelling. Fixed in upstream.
  * Update patch 01_disable_non-free
  * Bump compat to 9
  * Bump standards version to 3.9.4
  * Add dependency on dpkg-dev (>= 1.16.1~)
  * Add hardening buildflags to debian rules
  * Adding files to remove to clean target
  * Change dephelper dependency to 9
  * Add hardening wrapper
  * Add more scripts from support/scripts to package
  * Replace texlive-full dependency by a smaller dependency

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Wed, 02 Oct 2013 16:00:58 +0200
