=== debian/control ===
--- 
+++ 
@@ -1,15 +1,13 @@
 Source: sdcc
 Section: electronics
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Gudjon I. Gudjonsson <gudjon@gudjon.org>
+Maintainer: Gudjon I. Gudjonsson <gudjon@gudjon.org>
 Uploaders: Bdale Garbee <bdale@gag.com>
 Build-Depends: debhelper (>=9), autoconf, autotools-dev, libtool, 
- flex, bison, libncurses5-dev, gputils, libboost-dev, dpkg-dev (>= 1.16.1~),
- hardening-wrapper
+ flex, bison, libncurses5-dev, gputils, libboost-dev, dpkg-dev (>= 1.16.1~)
 Build-Depends-Indep: lyx, texlive-latex-recommended, texlive-generic-recommended,
  texlive-fonts-recommended, ghostscript
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://sdcc.sourceforge.net
 Vcs-Git: git://anonscm.debian.org/collab-maint/sdcc.git
 Vcs-Browser: http://anonscm.debian.org/git/collab-maint/sdcc.git
