=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,11 @@
 #!/usr/bin/make -f
 
 export DH_VERBOSE=1
-export DEB_BUILD_HARDENING=1
-
-DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk
+
+export CPPFLAGS=$(shell dpkg-buildflags --get CPPFLAGS)
+export CFLAGS=$(shell dpkg-buildflags --get CFLAGS)
+export CXXFLAGS=$(shell dpkg-buildflags --get CXXFLAGS)
+export LDFLAGS=$(shell dpkg-buildflags --get LDFLAGS)
 
 # These are used for cross-compiling and for saving the configure script
 # from having to guess our platform (since we know it already)
@@ -58,12 +59,17 @@
 	rm -f support/cpp/configargs.h
 	rm -f ports.all ports.build
 	rm -f confdefs.h
+	rm -rf device/lib/pic1*/.check*
+	rm -f device/lib/pic1*/config.*
+	rm -f device/lib/pic16/stamp-h1
 	find -type f -name '*.o' -exec rm -f {} \;
 	find -type f -name '.stamp' -exec rm -f {} \;
 	find . -name '*.rel' -exec rm -f {} \;
 	find . -name '*.sym' -exec rm -f {} \;
 	find . -name '*.lst' -exec rm -f {} \;
 	find . -name '*.a' -exec rm -f {} \;
+	find . -name '*.cod' -exec rm -f {} \;
+	find . -name '*.hex' -exec rm -f {} \;
 	find . -name config.status -exec rm -f {} \;
 	find . -name Makefile -exec rm -f {} \;
 	rm -f sim/ucsim/cmd.src/cmdpars.hh
@@ -79,13 +85,18 @@
 	mkdir -p $(CURDIR)/build
 	cp /usr/share/misc/config.sub sim/ucsim/config.sub
 	cp /usr/share/misc/config.guess sim/ucsim/config.guess
+	CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)" \
 	./configure \
 		--host=$(DEB_HOST_GNU_TYPE) \
 		--build=$(DEB_BUILD_GNU_TYPE) \
-		--prefix=/usr
-	touch $@
-
-build: build-arch
+		--disable-non-free \
+		--disable-pic14-port \
+		--disable-pic16-port \
+		--prefix=/usr \
+
+	touch $@
+
+build: build-arch build-indep
 build-arch: build-arch-stamp
 build-arch-stamp: configure-stamp 
 	dh_testdir
@@ -99,7 +110,7 @@
 	touch $@
 
 install: install-arch install-indep
-install-indep: build-indep
+install-indep: build
 	dh_testdir
 	dh_testroot
 	dh_installdirs 
@@ -123,6 +134,8 @@
 	# Install examples
 	cp -a device/examples $(CURDIR)/debian/sdcc-doc/usr/share/doc/sdcc-doc
 	rm -f $(CURDIR)/debian/sdcc-doc/usr/share/doc/sdcc-doc/examples/mcs51/simple*/go*
+	rm -f debian/sdcc-libraries/usr/share/sdcc/lib/src/pic14/GPL
+	rm -f debian/sdcc-libraries/usr/share/sdcc/lib/src/pic14/LGPL
 
 	touch $@
 
@@ -132,6 +145,12 @@
 	dh_installdirs 
 	dh_prep
 	$(MAKE) install prefix=$(CURDIR)/debian/tmp/usr
+	rm -f $(CURDIR)/debian/tmp/usr/bin/sdld6808
+	cd $(CURDIR)/debian/tmp/usr/bin/ && ln -s sdld sdld6808
+	rm -f $(CURDIR)/debian/tmp/usr/bin/sdldz80
+	cd $(CURDIR)/debian/tmp/usr/bin/ && ln -s sdld sdldz80
+	rm -f $(CURDIR)/debian/tmp/usr/bin/sdldgb
+	cd $(CURDIR)/debian/tmp/usr/bin/ && ln -s sdld sdldgb
 
 	# Remove empty dirs:
 	find $(CURDIR)/debian/tmp -type d -empty -delete
@@ -144,7 +163,6 @@
 	install -o root -g root -m 755  support/scripts/*.py debian/tmp/usr/share/sdcc/scripts
 	# Remove an unnecessary script 
 	rm -f debian/tmp/usr/share/sdcc/scripts/gen_known_bugs.pl
-
 	dh_install -a --sourcedir=debian/tmp
 
 	touch $@
