=== debian/changelog ===
sdcc (3.5.0+dfsg-2build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:42:51 +0000

sdcc (3.5.0+dfsg-2) unstable; urgency=medium

  * Add dependency on gsfonts (Closes: #818447)
  * Bump standards version to 3.9.7, no changes needed
  * Remove breaks version 2.9.0
  * Add breaks version 3.4.0, sdar was moved from
    sdcc-ucsim to sdcc. (Closes: #803660)
  * Add patch 03_spelling to fix spelling error
  * Change vcs browser from http to https
  * Add hardening += all to build options

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Sat, 19 Mar 2016 19:31:13 +0100

sdcc (3.5.0+dfsg-1) unstable; urgency=medium

  * New upstream release (Closes: #789831)
  * Improve manpages asxxxx and sdcc
  * Add manpages sdar, sdas390, sdasrab, sdasstm8, sdastlcs90,
    sdldstm8, sdnm, sdobjcopy, sstm8
  * Remove manpage savr
  * Remove patches, 02_fix_spelling and 03_fix_compilation. Fixed
    in upstream.
  * Bump standards version to 3.9.6
  * Remove unneeded lines from clean target in rules file
  * Update description i control file (Closes: #766325)
  * Move sdar from sdcc-ucsim to sdcc
  * Add binary file sdldstm8 to sdcc
  * Add huge memory model libraries (Closes: #768307)
  * Add dependency on graphicsmagick-imagemagick-compat
  * Exclude example code from compression
  * Add patch 02_enable_ppc64.patch (Closes: #766478)
  * Use autotools-dev to support new arches

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Fri, 16 Oct 2015 21:52:11 +0200
