=== debian/control ===
Source: sdcc
Section: electronics
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Gudjon I. Gudjonsson <gudjon@gudjon.org>
Uploaders: Bdale Garbee <bdale@gag.com>
Build-Depends: autoconf,
	       autotools-dev,
               bison,
               debhelper (>=9),
               dpkg-dev (>= 1.16.1~),
               flex,
               gputils,
               libboost-dev,
               libncurses5-dev,
               libtool
Build-Depends-Indep: ghostscript,
                     graphicsmagick-imagemagick-compat,
                     lyx,
                     texlive-fonts-recommended,
                     texlive-generic-recommended,
                     texlive-latex-recommended,
                     gsfonts
Standards-Version: 3.9.7
Homepage: http://sdcc.sourceforge.net
Vcs-Git: https://anonscm.debian.org/collab-maint/sdcc.git
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/sdcc.git

Package: sdcc
Architecture: any
Depends: sdcc-libraries (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: sdcc-doc
Suggests: python, sdcc-ucsim
Breaks: sdcc-ucsim (<< 3.5.0)
Replaces: sdcc-ucsim (<< 3.5.0)
Description: Small Device C Compiler
 SDCC is a C compiler for the Intel MCS51 family, HC08, PIC,
 GameBoy Z80, DS80S390, Z80, Z180 and STM8 microcontrollers.
 .
 This package includes the compiler, assemblers and linkers.

Package: sdcc-libraries
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: gputils
Description: Small Device C Compiler (libraries)
 SDCC is a C compiler for the Intel MCS51 family, HC08, PIC,
 GameBoy Z80, DS80S390, Z80, Z180 and STM8 microcontrollers.
 .
 This package contains the core library for SDCC.

Package: sdcc-ucsim
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: sdcc
Replaces: sdcc-ucsim-snapshot
Description: Micro-controller simulator for SDCC
 uCsim is a microcontroller simulator. It is extensible to support
 different microcontroller families. It currently supports Intel
 MCS51 family, HC08 and Z80 microcontrollers.

Package: sdcc-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: sdcc
Description: Small Device C Compiler (documentation)
 SDCC is a C compiler for the Intel MCS51 family, HC08, PIC,
 GameBoy Z80, DS80S390, Z80, Z180 and STM8 microcontrollers.
 .
 This package provides the documentation and examples for the
 SDCC compiler.
