=== debian/changelog ===
sdcc (3.7.0+dfsg2-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Repack upstream tarball to exclude GFDL documentation with invariant
    sections
  * Fix doc-base file pointer to include .gz extension for manual
  * Add information to README.source about repacking upstream

 -- Jonathan McDowell <noodles@earth.li>  Tue, 31 Jul 2018 14:52:21 +0800

sdcc (3.7.0+dfsg-0.2) unstable; urgency=medium

  * Move texinfo to binary Build-Dep

 -- Jonathan McDowell <noodles@earth.li>  Sun, 29 Jul 2018 18:35:56 +0800

sdcc (3.7.0+dfsg-0.1) unstable; urgency=medium

  [ Geert Stappers ]
  * Non-maintainer upload.
  * Recreated git repo content (Closes: #895345)
  * Git repo at Salsa

  [ Jonathan McDowell ]
  * New upstream release (Closes: #892869)
    + Fixes FTBFS with GCC 8 (Closes: #897856)
    + Removed patches as all now applied upstream
    + Enable building of PDF manual
    + Fix ucsim docs to include SVGs instead of GIFs
  * Mark sdcc-doc + sdcc-libraries Multi-Arch foreign
  * Remove Bdale from uploaders, on his request

 -- Jonathan McDowell <noodles@earth.li>  Sun, 29 Jul 2018 15:02:20 +0800

sdcc (3.5.0+dfsg-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add patch from Dr. Tobias Quathamer to fix FTBFS with lyx 2.3.
    (Closes: #894619)

 -- Adrian Bunk <bunk@debian.org>  Wed, 18 Apr 2018 19:34:21 +0300
