=== debian/control ===
--- 
+++ 
@@ -1,9 +1,7 @@
 Source: sdcc
 Section: electronics
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Gudjon I. Gudjonsson <gudjon@gudjon.org>
-Uploaders: Bdale Garbee <bdale@gag.com>
+Maintainer: Gudjon I. Gudjonsson <gudjon@gudjon.org>
 Build-Depends: autoconf,
 	       autotools-dev,
                bison,
@@ -13,18 +11,20 @@
                gputils,
                libboost-dev,
                libncurses5-dev,
-               libtool
+               libtool,
+               texinfo
 Build-Depends-Indep: ghostscript,
                      graphicsmagick-imagemagick-compat,
                      lyx,
                      texlive-fonts-recommended,
+                     texlive-font-utils,
                      texlive-generic-recommended,
                      texlive-latex-recommended,
                      gsfonts
 Standards-Version: 3.9.7
 Homepage: http://sdcc.sourceforge.net
-Vcs-Git: https://anonscm.debian.org/collab-maint/sdcc.git
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/sdcc.git
+Vcs-Git: https://salsa.debian.org/electronics-team/sdcc.git
+Vcs-Browser: https://salsa.debian.org/electronics-team/sdcc
 
 Package: sdcc
 Architecture: any
@@ -43,6 +43,7 @@
 
 Package: sdcc-libraries
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: gputils
 Description: Small Device C Compiler (libraries)
@@ -64,6 +65,7 @@
 Package: sdcc-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Suggests: sdcc
 Description: Small Device C Compiler (documentation)
