=== debian/rules ===
--- 
+++ 
@@ -68,7 +68,7 @@
 build-indep: build-indep-stamp
 build-indep-stamp: configure-stamp
 	dh_testdir
-	cd doc && lyx -e ps sdccman.lyx
+	cd doc && make
 	touch $@
 
 install: install-arch install-indep
@@ -79,7 +79,7 @@
 	dh_prep
 	$(MAKE) install prefix=$(CURDIR)/debian/tmp/usr
 	mkdir -p debian/tmp/usr/share/doc/sdcc-doc
-	install -o root -g root -m 644 doc/sdccman.ps debian/tmp/usr/share/doc/sdcc-doc
+	install -o root -g root -m 644 doc/sdccman.pdf debian/tmp/usr/share/doc/sdcc-doc
 	mv debian/tmp/usr/share/doc/sdcc/* debian/tmp/usr/share/doc/sdcc-doc/
 	rm -f debian/tmp/usr/share/doc/sdcc-doc/z80/combined_i186_z80_design.tex
 	rm -f debian/tmp/usr/share/doc/sdcc-doc/z80/Makefile
