=== debian/changelog ===
sdcc (3.8.0+dfsg-3build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 19:17:45 +0100

sdcc (3.8.0+dfsg-3) unstable; urgency=medium

  * Bump standards version to 4.4.1
  * Change texlive dependency (Closes: #941546)

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Sun, 06 Oct 2019 13:40:34 +0200

sdcc (3.8.0+dfsg-2) unstable; urgency=medium

  * Add build dependency on texlive-latex-extra (Closing #917692)
  * Bump standards version to 4.3.0, no changes needed

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Tue, 01 Jan 2019 17:59:22 +0100

sdcc (3.8.0+dfsg-1) unstable; urgency=medium

  [ Jonathan McDowell ]
  * Add myself to Uploaders and move under the Electronics Packaging Team.
  * Move to debhelper compat level 10.
  * Rename git-buildpackage section header to just buildpackage.

  [ Gudjon I. Gudjonsson ]
  * New upstream release
  * Remove a few autogenerated files from git and add to debian/rules
    clean target.
  * Don't install device/examples, removed from upstream
  * Bump standards to 4.2.1
  * Change watch from http to https
  * Add patch to fix spelling 01_fix_spelling.patch
  * Fix spelling error in ucsim and sdcc manpages
  * Change version check to DEB_VERSION_UPSTREAM in rules file
  * Add override file to remove false lintian gfdl positives
  * Add dependency on zlib1g-dev
  * Add dependency on inkscape (Closes: #911713)
  * Change .c files to non executable in rules
  * Make clean targer remove config.log and Makefile

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Tue, 30 Oct 2018 09:51:18 +0100
