=== debian/control ===
--- 
+++ 
@@ -1,27 +1,30 @@
 Source: sdcc
 Section: electronics
 Priority: optional
-Maintainer: Gudjon I. Gudjonsson <gudjon@gudjon.org>
-Build-Depends: autoconf,
-	       autotools-dev,
-               bison,
-               debhelper (>=9),
+Maintainer: Debian Electronics Packaging Team <pkg-electronics-devel@alioth-lists.debian.net>
+Uploaders: Gudjon I. Gudjonsson <gudjon@gudjon.org>,
+	Jonathan McDowell <noodles@earth.li>
+Build-Depends: bison,
+               debhelper (>= 10),
                dpkg-dev (>= 1.16.1~),
                flex,
                gputils,
                libboost-dev,
                libncurses5-dev,
                libtool,
-               texinfo
+               texinfo,
+               zlib1g-dev
 Build-Depends-Indep: ghostscript,
                      graphicsmagick-imagemagick-compat,
                      lyx,
                      texlive-fonts-recommended,
                      texlive-font-utils,
-                     texlive-generic-recommended,
+                     texlive-plain-generic,
                      texlive-latex-recommended,
-                     gsfonts
-Standards-Version: 3.9.7
+                     texlive-latex-extra,
+                     gsfonts,
+                     inkscape
+Standards-Version: 4.4.1
 Homepage: http://sdcc.sourceforge.net
 Vcs-Git: https://salsa.debian.org/electronics-team/sdcc.git
 Vcs-Browser: https://salsa.debian.org/electronics-team/sdcc
