=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+include /usr/share/dpkg/pkg-info.mk
 
 export DH_VERBOSE=1
 
@@ -35,19 +37,34 @@
 	rm -f support/sdbinutils/binutils/arlex.c
 	rm -f support/sdbinutils/binutils/arparse.c
 	rm -f support/sdbinutils/binutils/arparse.h
-	rm -f sim/ucsim/config.sub sim/ucsim/config.guess
-	rm -f config.log sim/ucsim/config.log
 	rm -f confdefs.h
 	rm -f install-arch install-indep
-	dh_autotools-dev_restoreconfig
+	rm -f doc/sdcc_version
+	rm -f sim/ucsim/cmd.src/cmdlex.cc
+	rm -f device/lib/stm8-large/Makefile
+	rm -f device/lib/stm8-large/*.asm
+	rm -f device/lib/stm8-large/*.lst
+	rm -f device/lib/stm8-large/*.rel
+	rm -f device/lib/stm8-large/*.sym
+	rm -f support/sdbinutils/binutils/mcparse.[c,h]
+	rm -f support/sdbinutils/binutils/rcparse.[c,h]
+	rm -f support/sdbinutils/binutils/sysinfo.[c,h]
+	rm -f support/sdbinutils/binutils/syslex.[c,h]
+	rm -f support/sdbinutils/binutils/defparse.[c,h]
+	rm -f sim/ucsim/config.log
+	rm -f sim/ucsim/lex.yy.c
+	rm -f support/sdbinutils/bfd/doc/bfd.info
+	rm -f support/sdbinutils/bfd/doc/bfdver.texi
+	find . -type f -name 'Makefile' -exec rm -vf {} \;
+	find . -type f -name 'config.log' -exec rm -vf {} \;
 	dh_clean
 
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
 	mkdir -p $(CURDIR)/build
-	touch sim/ucsim/config.guess sim/ucsim/config.sub
-	dh_autotools-dev_updateconfig
+	chmod a-x device/lib/*.c
+	dh_update_autotools_config
 	CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)" \
 	./configure \
 		--host=$(DEB_HOST_GNU_TYPE) \
@@ -94,7 +111,7 @@
 	dh_install -i --sourcedir=debian/tmp --list-missing
 
 	# Install examples
-	cp -a device/examples $(CURDIR)/debian/sdcc-doc/usr/share/doc/sdcc-doc
+	#cp -a device/examples $(CURDIR)/debian/sdcc-doc/usr/share/doc/sdcc-doc
 	rm -f $(CURDIR)/debian/sdcc-doc/usr/share/doc/sdcc-doc/examples/mcs51/simple*/go*
 	rm -f debian/sdcc-libraries/usr/share/sdcc/lib/src/pic14/GPL
 	rm -f debian/sdcc-libraries/usr/share/sdcc/lib/src/pic14/LGPL
@@ -159,11 +176,12 @@
 	$(MAKE) -f debian/rules DH_OPTIONS=-s binary-common
 
 get-orig-source:
-	VER=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-+~]+).*,\1,p'); \
+	set -e;\
+	VER=$(DEB_VERSION_UPSTREAM);\
 	uscan --force-download --rename --download-version=$$VER --destdir=. && (\
 	tar -xj --exclude device/non-free --exclude sim/ucsim/libltdl -f sdcc_$$VER.orig.tar.bz2 ; \
 	mv sdcc-$$VER sdcc-$$VER+dfsg;\
-	tar -czf sdcc_$$VER+dfsg.orig.tar.gz sdcc-$$VER+dfsg; \
+	tar -caf sdcc_$$VER+dfsg.orig.tar.xz sdcc-$$VER+dfsg; \
 	rm -rf sdcc-$$VER+dfsg ;\
 	rm -f sdcc_$$VER.orig.tar.bz2);
