## sdcc 4.0.0+dfsg

=== sim/ucsim/s51.src/test/Makefile ===
--- 
+++ 
@@ -1,6 +1,7 @@
 PRJ		= test_mdu517 test_mdu88x \
 		  stn stp strr sts stt stxr stxrw stxw \
-		  stt_small stt_large
+		  stt_small stt_large \
+		  monitor test_ser tim_ser
 
 all:
 	for p in $(PRJ); do \
