=== sim/ucsim/tlcs.src/test/Makefile ===
PRJ		= t0 t1 t2 t3 b2385

all:
	for p in $(PRJ); do \
		$(MAKE) -f $$p.mk ;\
	done

clean:
	for p in $(PRJ); do \
		$(MAKE) -f $$p.mk clean ;\
	done
