=== debian/changelog ===
sdcc (4.0.0+dfsg-2) unstable; urgency=medium

  * Add missing Padauk assemblers/linker (Closes: #960596)

 -- Jonathan McDowell <noodles@earth.li>  Sat, 16 May 2020 10:09:37 +0100

sdcc (4.0.0+dfsg-1) unstable; urgency=medium

  * New upstream release (Closes: #951898)
    * Update spelling correction patch
    * sdcclib is no longer shipped
    * Fixes FTBFS (Closes: #959651)
  * Switch to librsvg2-bin instead of inkscape for SVG to EPS conversion
  * Switch to dh_missing rather than passing flag to dh_install
  * Install sdas documentation (Closes: #949433)

 -- Jonathan McDowell <noodles@earth.li>  Wed, 13 May 2020 19:19:27 +0100
