## sdcc 4.2.0~osmocom1.109.97c6

=== debian/changelog ===
sdcc (4.2.0~osmocom1.109.97c6) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom master feed

 -- Osmocom OBS scripts <info@osmocom.org>  Tue, 15 Apr 2025 08:21:20 +0000

sdcc (4.2.0~osmocom1) unstable; urgency=medium

  * Fix the build.

 -- Oliver Smith <osmith@sysmocom.de>  Tue, 15 Apr 2025 09:42:52 +0200

sdcc (4.2.0+dfsg-1) unstable; urgency=medium

  * New upstream release (Closes: #1006922)
    * Update spelling correction patch
    * Add lintian override for no-code-sections in target libs

 -- Jonathan McDowell <noodles@earth.li>  Wed, 30 Nov 2022 22:06:14 +0000
