=== debian/rules ===
--- 
+++ 
@@ -96,7 +96,7 @@
 	dh_prep
 	$(MAKE) install prefix=$(CURDIR)/debian/tmp/usr
 	mkdir -p debian/tmp/usr/share/doc/sdcc-doc
-	install -o root -g root -m 644 doc/sdccman.pdf debian/tmp/usr/share/doc/sdcc-doc
+	install -m 644 doc/sdccman.pdf debian/tmp/usr/share/doc/sdcc-doc
 	mv debian/tmp/usr/share/doc/sdcc/* debian/tmp/usr/share/doc/sdcc-doc/
 	rm -f debian/tmp/usr/share/doc/sdcc-doc/z80/combined_i186_z80_design.tex
 	rm -f debian/tmp/usr/share/doc/sdcc-doc/z80/Makefile
@@ -108,7 +108,8 @@
 	#Clean up unnecessary directories
 	rm -rf `find $(CURDIR)/debian/tmp -type d -name .deps`
 
-	dh_install -i --sourcedir=debian/tmp --list-missing
+	dh_install -i
+	dh_missing --list-missing
 
 	# Install examples
 	#cp -a device/examples $(CURDIR)/debian/sdcc-doc/usr/share/doc/sdcc-doc
@@ -126,10 +127,14 @@
 	$(MAKE) install prefix=$(CURDIR)/debian/tmp/usr
 	rm -f $(CURDIR)/debian/tmp/usr/bin/sdld6808
 	cd $(CURDIR)/debian/tmp/usr/bin/ && ln -s sdld sdld6808
+	rm -f $(CURDIR)/debian/tmp/usr/bin/sdldgb
+	cd $(CURDIR)/debian/tmp/usr/bin/ && ln -s sdld sdldgb
+	rm -f $(CURDIR)/debian/tmp/usr/bin/sdldpdk
+	cd $(CURDIR)/debian/tmp/usr/bin/ && ln -s sdld sdldpdk
+	rm -f $(CURDIR)/debian/tmp/usr/bin/sdldstm8
+	cd $(CURDIR)/debian/tmp/usr/bin/ && ln -s sdld sdldstm8
 	rm -f $(CURDIR)/debian/tmp/usr/bin/sdldz80
 	cd $(CURDIR)/debian/tmp/usr/bin/ && ln -s sdld sdldz80
-	rm -f $(CURDIR)/debian/tmp/usr/bin/sdldgb
-	cd $(CURDIR)/debian/tmp/usr/bin/ && ln -s sdld sdldgb
 
 	# Remove empty dirs:
 	find $(CURDIR)/debian/tmp -type d -empty -delete
@@ -138,8 +143,8 @@
 	rm -rf `find $(CURDIR)/debian/tmp -type d -name .deps`
 	# Add some scripts
 	mkdir -p debian/tmp/usr/share/sdcc/scripts
-	install -o root -g root -m 755  support/scripts/*.pl debian/tmp/usr/share/sdcc/scripts
-	install -o root -g root -m 755  support/scripts/*.py debian/tmp/usr/share/sdcc/scripts
+	install -m 755  support/scripts/*.pl debian/tmp/usr/share/sdcc/scripts
+	install -m 755  support/scripts/*.py debian/tmp/usr/share/sdcc/scripts
 	# Remove an unnecessary script 
 	rm -f debian/tmp/usr/share/sdcc/scripts/gen_known_bugs.pl
 	dh_install -a --sourcedir=debian/tmp --list-missing
