## sdcc 4.2.0~osmocom2.111.04d6

=== debian/changelog ===
sdcc (4.2.0~osmocom2.111.04d6) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom master feed

 -- Osmocom OBS scripts <info@osmocom.org>  Tue, 23 Sep 2025 07:43:59 +0000

sdcc (4.2.0~osmocom2) unstable; urgency=medium

  * debian/rules: use -std=gnu17

 -- Oliver Smith <osmith@sysmocom.de>  Tue, 23 Sep 2025 09:29:49 +0200
