=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: sdcc
 Section: electronics
 Priority: optional
-Maintainer: Debian Electronics Packaging Team <pkg-electronics-devel@alioth-lists.debian.net>
+Maintainer: Osmocom team <openbsc@lists.osmocom.org>
 Uploaders: Gudjon I. Gudjonsson <gudjon@gudjon.org>,
 	Jonathan McDowell <noodles@earth.li>
 Build-Depends: bison,
