=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,10 @@
 export CFLAGS=$(shell dpkg-buildflags --get CFLAGS)
 export CXXFLAGS=$(shell dpkg-buildflags --get CXXFLAGS)
 export LDFLAGS=$(shell dpkg-buildflags --get LDFLAGS)
+
+# GCC 15 changes the default to C23, breaking this version of SDCC. Revert it.
+# https://www.gnu.org/software//gcc/gcc-15/porting_to.html#c23
+CFLAGS += -std=gnu17
 
 # These are used for cross-compiling and for saving the configure script
 # from having to guess our platform (since we know it already)
